Package be.fgov.ehealth.commons.protocol.v2

# Class StatusResponseType

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ActivateETKResponse`, `AliveCheckResponse`, `CompleteETKRegistrationResponse`, `ConsultCarmedInterventionResponse`, `ConsultCarmedInterventionResponse`, `ConsultCurrentSsinResponseType`, `DeleteUrgentMedicalAidAttestationResponse`, `FindAmppResponse`, `FindAmpResponse`, `FindCommentedClassificationResponse`, `FindCompanyResponse`, `FindCompoundingFormulaResponse`, `FindCompoundingIngredientResponse`, `FindLegislationTextResponse`, `FindNonMedicinalProductResponse`, `FindReferencesResponse`, `FindReimbursementResponse`, `FindVmpGroupResponse`, `FindVmpResponse`, `FindVtmResponse`, `GenerateCertificateResponse`, `GenerateContractResponse`, `GenerateRevocationContractResponse`, `GetActorQualitiesResponse`, `GetCertificateInfoForAuthenticationCertificateResponse`, `GetCertificateInfoForCitizenResponse`, `GetCertificateResponse`, `GetGenericOrganizationTypesResponse`, `GetOrganizationContactInfoResponse`, `GetProfessionalContactInfoResponse`, `PaginationStatusResponseType`, `RegisterPersonResponse`, `RevokeResponse`, `SearchPersonBySsinResponse`, `SearchPersonPhoneticallyResponse`, `SearchUrgentMedicalAidAttestationResponse`, `SendUrgentMedicalAidAttestationResponse`, `StartETKRegistrationResponse`, `SubmitCSRForForeignerResponse`, `VerifyIdResponse`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class StatusResponseType extends ResponseType implements Serializable
eHealth SOA Response Type for Services that require a Status as output.

Java class for StatusResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StatusResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:commons:core:v2}Status"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatusResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Status`
  `getStatus()`
  Status of the requests
  `void`
  `setStatus(Status value)`
  Sets the value of the status property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatusResponseType

    public StatusResponseType()

- ## Method Details

  - ### getStatus

    public Status getStatus()
    Status of the requests
    Returns:
      possible object is `Status`

  - ### setStatus

    public void setStatus(Status value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `Status`
    See Also:
      - `getStatus()`